Bug 135317 - FC: Include OpenIPMI userspace libraries
FC: Include OpenIPMI userspace libraries
Status: CLOSED DUPLICATE of bug 135938
Product: Fedora
Classification: Fedora
Component: OpenIPMI (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-11 17:38 EDT by Matt Domsch
Modified: 2015-03-04 20:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-21 18:23:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2004-10-11 17:38:02 EDT
Description of problem:
Thank you for including the OpenIPMI device drivers in FC  by 
virtue of their inclusion in kernel.org.

Please include in the distribution the OpenIPMI userspace libraries, 
version 1.4.3 (experimental but more features and extensively 
tested), such that third party applications such as Dell OpenManage 
may write their applications and link against such libraries.  By 
including the libraries in the distribution, Red Hat has the chance 
to control the release of those libraries for use by ISVs/IHVs. 

If Red Hat chooses not to include the userspace libraries, every 
third-party application that needs to communicate with the OpenIPMI 
device driver will need to provide them themselves, and due to 
concurrency issues regarding multiple IPMI commands being in flight 
at a time, having multiple instances of the userspace libraries is 
not feasible.
Comment 2 Bill Nottingham 2005-03-02 15:58:26 EST
Currently in rawhide.
Comment 3 Marty Wesley 2005-05-26 02:40:42 EDT
PM ACK for U2.

Note You need to log in before you can comment on or make changes to this bug.